"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RefreshResponseDto = exports.refreshResponseSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = __importDefault(require("zod"));
exports.refreshResponseSchema = zod_1.default.object({
    refreshToken: zod_1.default.string(),
    accessToken: zod_1.default.string(),
    expiresIn: zod_1.default.number(),
});
class RefreshResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.refreshResponseSchema) {
}
exports.RefreshResponseDto = RefreshResponseDto;
//# sourceMappingURL=refresh.dto.js.map