import z from 'zod';
export declare const findAllCountriesResponseSchema: z.ZodObject<{
    countries: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        isoCode: z.ZodString;
        latitude: z.ZodNumber;
        longitude: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        name: string;
        latitude: number;
        longitude: number;
        isoCode: string;
    }, {
        name: string;
        latitude: number;
        longitude: number;
        isoCode: string;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    countries: {
        name: string;
        latitude: number;
        longitude: number;
        isoCode: string;
    }[];
}, {
    countries: {
        name: string;
        latitude: number;
        longitude: number;
        isoCode: string;
    }[];
}>;
declare const FindAllCountriesResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    countries: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        isoCode: z.ZodString;
        latitude: z.ZodNumber;
        longitude: z.ZodNumber;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        name: string;
        latitude: number;
        longitude: number;
        isoCode: string;
    }, {
        name: string;
        latitude: number;
        longitude: number;
        isoCode: string;
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    countries: {
        name: string;
        latitude: number;
        longitude: number;
        isoCode: string;
    }[];
}, {
    countries: {
        name: string;
        latitude: number;
        longitude: number;
        isoCode: string;
    }[];
}>>;
export declare class FindAllCountriesResponseDto extends FindAllCountriesResponseDto_base {
}
export {};
