"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindOneTagResponseDto = exports.findOneTagResponseSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_group_dto_1 = require("../../tag-group/dto/tag-group.dto");
const tag_dto_1 = require("./tag.dto");
const zod_1 = __importDefault(require("zod"));
exports.findOneTagResponseSchema = tag_dto_1.tagSchema.merge(zod_1.default.object({
    group: tag_group_dto_1.tagGroupSchema,
}));
class FindOneTagResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.findOneTagResponseSchema) {
}
exports.FindOneTagResponseDto = FindOneTagResponseDto;
//# sourceMappingURL=find-one-tag.dto.js.map