"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindTrashResponseDto = exports.findTrashResponseSchema = void 0;
const profile_dto_1 = require("./profile.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = __importDefault(require("zod"));
exports.findTrashResponseSchema = zod_1.default.object({
    profiles: zod_1.default.array(profile_dto_1.profileSchema.pick({
        id: true,
        fullName: true,
        profilePictureUrl: true,
        created_at: true,
        isInTrash: true,
        phoneNumber: true,
        movedToTrashDate: true,
    })),
});
class FindTrashResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.findTrashResponseSchema) {
}
exports.FindTrashResponseDto = FindTrashResponseDto;
//# sourceMappingURL=find-trash.dto.js.map